List Asana projects in a workspace

gethttps://api.expiryedge.com/v1/integrations/asana/projects
any role60/min
Anfrage
curl 'https://api.expiryedge.com/v1/integrations/asana/projects?workspace_gid=1200000000000001' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Antwort
{
  "success": true,
  "projects": [
    {
      "gid": "1200000000000042",
      "name": "Licenses & Renewals",
      "color": "dark-green",
      "archived": false
    }
  ]
}

Query-Parameter

  • workspace_gidstringerforderlich
    Workspace gid.

Rückgabe

200
Projects (gid, name, color, archived).
  • successboolean
    Erlaubttrue
  • projectsarray of objects

Fehler

400
The user has no organization, the provider is not connected, validation failed, or the provider API call failed.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.